<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>PS2 controller TRX: C:/Users/XW8400/Documents/ps2_ctrl_trx/lib/include/si4432.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">PS2 controller TRX
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('si4432_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">si4432.h</div></div>
</div><!--header-->
<div class="contents">
<a href="si4432_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef SI4432_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define SI4432_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment">/* Si4432 pins */</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="si4432_8h.html#adb6cbde2ef00e24495bb17d59af30969">   11</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_NSEL_PxM1                                            P1M1</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac56753189b22230bac1f2a46224df57c">   18</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_NSEL_PxM2                                            P1M2</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="si4432_8h.html#abcbb3dbb7c9a981dede1d3cbd3fb2c16">   25</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_NSEL_Px                                              P1</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="si4432_8h.html#a7ffcd2c65c2756c9e76a48ee3824624d">   32</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_NSEL_PIN                                             2</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="si4432_8h.html#abdc483e49a90032657bbb65982a2a995">   39</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_NIRQ_PxM1                                            P1M1</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="si4432_8h.html#a11cb24ea6b3432be26aa9ffea7577fb0">   46</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_NIRQ_PxM2                                            P1M2</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="si4432_8h.html#a0a224461398e29adff616d2a15f88ea2">   53</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_NIRQ_Px                                              P1</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="si4432_8h.html#a2ee5b851da136539a36d6359181eb043">   60</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_NIRQ_PIN                                             3</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="si4432_8h.html#a18111d4360306985678bca9b47eed236">   67</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_SDN_PxM1                                             P0M1</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="si4432_8h.html#af2cf6527010f2f225ae052a18e42fa42">   74</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_SDN_PxM2                                             P0M2</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="si4432_8h.html#a44e605bd7f3861612f0ed43c37304653">   81</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_SDN_Px                                                   P0</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno"><a class="line" href="si4432_8h.html#ae266b4e5de53b947f7f1e92149da4c17">   88</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_SDN_PIN                                              3</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="comment">/* Si4432 register addresses */</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="si4432_8h.html#aea8612ebd184df7fd358f0f8d9ba7713">   91</a></span><span class="preprocessor">#define SI4432_REG_DEVTYPE                                      0x00 </span><span class="comment">// Device Type</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="si4432_8h.html#a4b85fa1922f9fdafd8834c4d92807ed8">   92</a></span><span class="preprocessor">#define SI4432_REG_DEVVER                                           0x01 </span><span class="comment">// Device Version</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="si4432_8h.html#a7ff972d0676e45c5b6df781e9c32c39c">   93</a></span><span class="preprocessor">#define SI4432_REG_DEVSTA                                           0x02 </span><span class="comment">// Device Status</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="si4432_8h.html#a9cd1271189fd3274281567f2908b97bd">   94</a></span><span class="preprocessor">#define SI4432_REG_INTSTA1                                      0x03 </span><span class="comment">// Interrupt Status 1</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno"><a class="line" href="si4432_8h.html#a3f1f6135c0575ff34519140d09802f64">   95</a></span><span class="preprocessor">#define SI4432_REG_INTSTA2                                      0x04 </span><span class="comment">// Interrupt Status 2</span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="si4432_8h.html#a603f1323e8c6defa9d99a825ca6bf4a2">   96</a></span><span class="preprocessor">#define SI4432_REG_INTEN1                                           0x05 </span><span class="comment">// Interrupt Enable 1</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="si4432_8h.html#a04333ba2b11473112bc6f4f211d375af">   97</a></span><span class="preprocessor">#define SI4432_REG_INTEN2                                           0x06 </span><span class="comment">// Interrupt Enable 2</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="si4432_8h.html#a78ad164a0084624af080a26449bb3904">   98</a></span><span class="preprocessor">#define SI4432_REG_OFCTL1                                           0x07 </span><span class="comment">// Operating &amp; Function Control 1</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="si4432_8h.html#afb65d6664b13dfd155d4c78abe95d4c0">   99</a></span><span class="preprocessor">#define SI4432_REG_OFCTL2                                           0x08 </span><span class="comment">// Operating &amp; Function Control 2</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="si4432_8h.html#abb126dae1d344e91792d7c2c2d511f59">  100</a></span><span class="preprocessor">#define SI4432_REG_XLCAP                                            0x09 </span><span class="comment">// Crystal Oscillator Load Capacitance</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="si4432_8h.html#a76f3a2190acd7d3b8e3a7bd72a0a2709">  101</a></span><span class="preprocessor">#define SI4432_REG_MCUCLK                                           0x0A </span><span class="comment">// Microcontroller Output Clock</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="si4432_8h.html#a857e6d71aed01862d26f93310c5a8af0">  102</a></span><span class="preprocessor">#define SI4432_REG_GPCFG0                                           0x0B </span><span class="comment">// GPIO0 Configuration</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="si4432_8h.html#a1aa63464a76a124a7de9ccad0320dc19">  103</a></span><span class="preprocessor">#define SI4432_REG_GPCFG1                                           0x0C </span><span class="comment">// GPIO1 Configuration</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="si4432_8h.html#af04f30b0509e59ef89fa2ef6e96a1a38">  104</a></span><span class="preprocessor">#define SI4432_REG_GPCFG2                                           0x0D </span><span class="comment">// GPIO2 Configuration</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="si4432_8h.html#a026a2e3d5396458763a84231b67d2b0b">  105</a></span><span class="preprocessor">#define SI4432_REG_IOCFG                                            0x0E </span><span class="comment">// I/O Port Configuration</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac41503e2ef462204961ef3153daa868b">  106</a></span><span class="preprocessor">#define SI4432_REG_ADCCFG                                           0x0F </span><span class="comment">// ADC Configuration</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad59dcb983665357231c2b3af0ddf28e5">  107</a></span><span class="preprocessor">#define SI4432_REG_ADCOFF                                           0x10 </span><span class="comment">// ADC Sensor Amplifier Offset</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad1090d1829d3172060fcbc0d4e08e4c2">  108</a></span><span class="preprocessor">#define SI4432_REG_ADCVAL                                           0x11 </span><span class="comment">// ADC Value</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="si4432_8h.html#add139f943d32ffdab98ddaca9a46b348">  109</a></span><span class="preprocessor">#define SI4432_REG_TMPCTL                                           0x12 </span><span class="comment">// Temperature Sensor Control</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="si4432_8h.html#ab57e298fc34d1bc90d6abc4fa8a72f88">  110</a></span><span class="preprocessor">#define SI4432_REG_TMPOFF                                           0x13 </span><span class="comment">// Temperature Sensor Offset</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="si4432_8h.html#a652e904598e2e53bfed809a1df6c08ac">  111</a></span><span class="preprocessor">#define SI4432_REG_WTPER1                                           0x14 </span><span class="comment">// Wake-Up Timer Period 1</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad5538251187bf27e4b22239bdf11c838">  112</a></span><span class="preprocessor">#define SI4432_REG_WTPER2                                           0x15 </span><span class="comment">// Wake-Up Timer Period 2</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="si4432_8h.html#a9b6ee6bff6accb0806399aeec6884f5a">  113</a></span><span class="preprocessor">#define SI4432_REG_WTPER3                                           0x16 </span><span class="comment">// Wake-Up Timer Period 3</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="si4432_8h.html#a225235489cfc81bab75844543ea212cd">  114</a></span><span class="preprocessor">#define SI4432_REG_WTVAL1                                           0x17 </span><span class="comment">// Wake-Up Timer Value 1</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno"><a class="line" href="si4432_8h.html#a7b7aca92b6d460e874662298baba2394">  115</a></span><span class="preprocessor">#define SI4432_REG_WTVAL2                                           0x18 </span><span class="comment">// Wake-Up Timer Value 2</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="si4432_8h.html#a2a73067998d31377d62584c5fcc20c70">  116</a></span><span class="preprocessor">#define SI4432_REG_LDCDUR                                           0x19 </span><span class="comment">// Low-Duty Cycle Mode Duration</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno"><a class="line" href="si4432_8h.html#a51fc53b74b3fe7c708c1b9f5786271ed">  117</a></span><span class="preprocessor">#define SI4432_REG_LBDTHR                                           0x1A </span><span class="comment">// Low Battery Detector Threshold</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="si4432_8h.html#a02cdf805de348a377bd7d3b29664c97b">  118</a></span><span class="preprocessor">#define SI4432_REG_VBAT                                             0x1B </span><span class="comment">// Battery Voltage Level</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno"><a class="line" href="si4432_8h.html#a2105c8b947ef85932c00f27e4a5eec59">  119</a></span><span class="preprocessor">#define SI4432_REG_IFFBW                                            0x1C </span><span class="comment">// IF Filter Bandwidth</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="si4432_8h.html#a6eab59ee1274d9cd5cdf1c99e3704ec0">  120</a></span><span class="preprocessor">#define SI4432_REG_AFCGEAR                                      0x1D </span><span class="comment">// AFC Loop Gearshift Override</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="si4432_8h.html#a0b8659fd48c9a7d968488b1321539300">  121</a></span><span class="preprocessor">#define SI4432_REG_AFCTCTL                                      0x1E </span><span class="comment">// AFC Timing Control</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="si4432_8h.html#a8d3fbb18653a9db48c8ff6d01976dff4">  122</a></span><span class="preprocessor">#define SI4432_REG_CRGEAR                                           0x1F </span><span class="comment">// Clock Recovery Gearshift Override</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad4057526f6c956b6fa911378eadde56d">  123</a></span><span class="preprocessor">#define SI4432_REG_CROSR                                            0x20 </span><span class="comment">// Clock Recovery Oversampling Ratio</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno"><a class="line" href="si4432_8h.html#a83afb4b9845a24cf9205e8ef690fac68">  124</a></span><span class="preprocessor">#define SI4432_REG_CROFF2                                           0x21 </span><span class="comment">// Clock Recovery Offset 2</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno"><a class="line" href="si4432_8h.html#a2e23e0849f4df7d9ff7960d3bd08235c">  125</a></span><span class="preprocessor">#define SI4432_REG_CROFF1                                           0x22 </span><span class="comment">// Clock Recovery Offset 1</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="si4432_8h.html#a45585649987c03eec72458a204c1702c">  126</a></span><span class="preprocessor">#define SI4432_REG_CROFF0                                           0x23 </span><span class="comment">// Clock Recovery Offset 0</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno"><a class="line" href="si4432_8h.html#a85ea6a66cd55efaa70487e4729f500de">  127</a></span><span class="preprocessor">#define SI4432_REG_CRGAIN1                                      0x24 </span><span class="comment">// Clock Recovery Timing Loop Gain 1</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno"><a class="line" href="si4432_8h.html#a03c00edd6cefb2855c1246926833da15">  128</a></span><span class="preprocessor">#define SI4432_REG_CRGAIN0                                      0x25 </span><span class="comment">// Clock Recovery Timing Loop Gain 0</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno"><a class="line" href="si4432_8h.html#a4501c217fbe8a98cbcab7af3f76b560b">  129</a></span><span class="preprocessor">#define SI4432_REG_RSSI                                             0x26 </span><span class="comment">// Received Signal Strength Indicator</span></div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="si4432_8h.html#a1f77976ef56d3ccb26252dd55685018d">  130</a></span><span class="preprocessor">#define SI4432_REG_RSSITHR                                      0x27 </span><span class="comment">// RSSI Threshold for Clear Channel Indicator</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno"><a class="line" href="si4432_8h.html#a20a1ae380efed4c6c008eaf86479c8eb">  131</a></span><span class="preprocessor">#define SI4432_REG_ANTDIV1                                      0x28 </span><span class="comment">// Antenna Diversity Register 1</span></div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="si4432_8h.html#acd9a70e8f78bcbfebe3d890835c0efe0">  132</a></span><span class="preprocessor">#define SI4432_REG_ANTDIV2                                      0x29 </span><span class="comment">// Antenna Diversity Register 2</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno"><a class="line" href="si4432_8h.html#a019d387c9fd61cf991a2ca7edcdb86c8">  133</a></span><span class="preprocessor">#define SI4432_REG_AFCLIM                                           0x2A </span><span class="comment">// AFC Limiter</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad1062aa25e14ed9e36ccae8f84a4dd8c">  134</a></span><span class="preprocessor">#define SI4432_REG_AFCCORR                                      0x2B </span><span class="comment">// AFC Correction Read</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac327e8116fa30a27ff658f211238f7ad">  135</a></span><span class="preprocessor">#define SI4432_REG_OOKCNT1                                      0x2C </span><span class="comment">// OOK Counter Value 1</span></div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="si4432_8h.html#a17283771ef876566e16f94864dd25b04">  136</a></span><span class="preprocessor">#define SI4432_REG_OOKCNT2                                      0x2D </span><span class="comment">// OOK Counter Value 2</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="si4432_8h.html#a262226a6066e611c0fd751bf2957f1ed">  137</a></span><span class="preprocessor">#define SI4432_REG_SPHOLD                                           0x2E </span><span class="comment">// Slicer Peak Hold</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="comment">// 0x2F - reserved</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac900376ca6757a1fe9ab693f8e9620fd">  139</a></span><span class="preprocessor">#define SI4432_REG_DACTL                                            0x30 </span><span class="comment">// Data Access Control</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad6bcd11ea41d6317a04678e8ec96d263">  140</a></span><span class="preprocessor">#define SI4432_REG_EZMSTA                                           0x31 </span><span class="comment">// EzMAC status</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="si4432_8h.html#a13498bbcdb1cc2234858dc5d628b1d32">  141</a></span><span class="preprocessor">#define SI4432_REG_HDRCTL1                                      0x32 </span><span class="comment">// Header Control 1</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad8aac9555ecd34d43b6844bd17ada9fc">  142</a></span><span class="preprocessor">#define SI4432_REG_HDRCTL2                                      0x33 </span><span class="comment">// Header Control 2</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad0298657fc847196c0e63310f93c2bd7">  143</a></span><span class="preprocessor">#define SI4432_REG_PRALEN                                           0x34 </span><span class="comment">// Preamble Length</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="si4432_8h.html#a84a48f88f747c6abc44a356107243d2b">  144</a></span><span class="preprocessor">#define SI4432_REG_PRADCTL                                      0x35 </span><span class="comment">// Preamble Detection Control</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno"><a class="line" href="si4432_8h.html#aabe5a7d3c79aae70a70dc51af5b54f10">  145</a></span><span class="preprocessor">#define SI4432_REG_SYNC3                                            0x36 </span><span class="comment">// Sync Word 3</span></div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac6aab5588f1f759d5c35cfc02a23b483">  146</a></span><span class="preprocessor">#define SI4432_REG_SYNC2                                            0x37 </span><span class="comment">// Sync Word 2</span></div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno"><a class="line" href="si4432_8h.html#ae57afc072b43b5032d3534a26ae86df5">  147</a></span><span class="preprocessor">#define SI4432_REG_SYNC1                                            0x38 </span><span class="comment">// Sync Word 1</span></div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="si4432_8h.html#abf648b7be73277fa019464d3d71fdc33">  148</a></span><span class="preprocessor">#define SI4432_REG_SYNC0                                            0x39 </span><span class="comment">// Sync Word 0</span></div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="si4432_8h.html#a7a739c397f8c9174e64ea959382384b0">  149</a></span><span class="preprocessor">#define SI4432_REG_TXHDR3                                           0x3A </span><span class="comment">// Transmit Header 3</span></div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno"><a class="line" href="si4432_8h.html#a02ba4eef2e23683c0d371a03b5d583b6">  150</a></span><span class="preprocessor">#define SI4432_REG_TXHDR2                                           0x3B </span><span class="comment">// Transmit Header 2</span></div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="si4432_8h.html#a1b71d364234943b257d3e80f5d480fb9">  151</a></span><span class="preprocessor">#define SI4432_REG_TXHDR1                                           0x3C </span><span class="comment">// Transmit Header 1</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="si4432_8h.html#afc47a2cfe8be5b4218e64435161967f8">  152</a></span><span class="preprocessor">#define SI4432_REG_TXHDR0                                           0x3D </span><span class="comment">// Transmit Header 0</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno"><a class="line" href="si4432_8h.html#acf2cf3e3d0b6ba371b3be1f32f32ceb3">  153</a></span><span class="preprocessor">#define SI4432_REG_TXLEN                                            0x3E </span><span class="comment">// Transmit Packet Length</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad69e53a9c93d9bec701520bc895ae3c1">  154</a></span><span class="preprocessor">#define SI4432_REG_CKHDR3                                           0x3F </span><span class="comment">// Check Header 3</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno"><a class="line" href="si4432_8h.html#a0cfa3326fa17ad91549c9f7a76407710">  155</a></span><span class="preprocessor">#define SI4432_REG_CKHDR2                                           0x40 </span><span class="comment">// Check Header 2</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno"><a class="line" href="si4432_8h.html#a2fc55230876972bfefe88da9e3b6b3e1">  156</a></span><span class="preprocessor">#define SI4432_REG_CKHDR1                                           0x41 </span><span class="comment">// Check Header 1</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno"><a class="line" href="si4432_8h.html#a336793b1d243ae2af07fe5365781d9f9">  157</a></span><span class="preprocessor">#define SI4432_REG_CKHDR0                                           0x42 </span><span class="comment">// Check Header 0</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno"><a class="line" href="si4432_8h.html#a67a5f6e1b9c0a8118ad52c1aa330b275">  158</a></span><span class="preprocessor">#define SI4432_REG_HDREN3                                           0x43 </span><span class="comment">// Header Enable 3</span></div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="si4432_8h.html#a866c35be6f838418d82fe7776dcdd087">  159</a></span><span class="preprocessor">#define SI4432_REG_HDREN2                                           0x44 </span><span class="comment">// Header Enable 2</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad22cbe1972dbaaaee0a4d5de9b1bf093">  160</a></span><span class="preprocessor">#define SI4432_REG_HDREN1                                           0x45 </span><span class="comment">// Header Enable 1</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno"><a class="line" href="si4432_8h.html#a94fdb4a5e89fecc840495e8ccf5b63c0">  161</a></span><span class="preprocessor">#define SI4432_REG_HDREN0                                           0x46 </span><span class="comment">// Header Enable 0</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="si4432_8h.html#aab9ccded337aba18262347dcddc4698a">  162</a></span><span class="preprocessor">#define SI4432_REG_RXHDR3                                           0x47 </span><span class="comment">// Received Header 3</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="si4432_8h.html#a9ceba6ef24d17e38bb96d644707a406a">  163</a></span><span class="preprocessor">#define SI4432_REG_RXHDR2                                           0x48 </span><span class="comment">// Received Header 2</span></div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="si4432_8h.html#ab493804fcffdea0b18877bc77efeeb36">  164</a></span><span class="preprocessor">#define SI4432_REG_RXHDR1                                           0x49 </span><span class="comment">// Received Header 1</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="si4432_8h.html#a3fd57522c0c19a47f313aa9c1ef0d34b">  165</a></span><span class="preprocessor">#define SI4432_REG_RXHDR0                                           0x4A </span><span class="comment">// Received Header 0</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno"><a class="line" href="si4432_8h.html#aeb64e1b857aa712ea6c242159aac2c8b">  166</a></span><span class="preprocessor">#define SI4432_REG_RXLEN                                            0x4B </span><span class="comment">// Received Packet Length</span></div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span><span class="comment">// 0x4C-4E - reserved</span></div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="si4432_8h.html#ab58621720a1e2e73a1e33a45cf2c88f5">  168</a></span><span class="preprocessor">#define SI4432_REG_ADC8CTL                                      0x4F </span><span class="comment">// ADC8 Control</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span><span class="comment">// 0x50-5F - reserved</span></div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno"><a class="line" href="si4432_8h.html#a24101884bbd7504d70571570fc8e2ccf">  170</a></span><span class="preprocessor">#define SI4432_REG_CFCADDR                                      0x60 </span><span class="comment">// Channel Filter Coefficient Address</span></div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span><span class="comment">// 0x61 - reserved</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno"><a class="line" href="si4432_8h.html#aa023f2591da6ed78ec8a588d0466f056">  172</a></span><span class="preprocessor">#define SI4432_REG_XCTEST                                           0x62 </span><span class="comment">// Crystal Oscillator/Control Test</span></div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span><span class="comment">// 0x63-68 - reserved</span></div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="si4432_8h.html#aec93042a0572d686af88081a934826cd">  174</a></span><span class="preprocessor">#define SI4432_REG_AGCOVR                                           0x69 </span><span class="comment">// AGC Override 1</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span><span class="comment">// 0x6A-6C - reserved</span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="si4432_8h.html#a01554de8b6139a869ca6a122950d5ace">  176</a></span><span class="preprocessor">#define SI4432_REG_TXPWR                                            0x6D </span><span class="comment">// TX Power</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="si4432_8h.html#a4f86377787d6189bc2a390bec7804e04">  177</a></span><span class="preprocessor">#define SI4432_REG_TXDR1                                            0x6E </span><span class="comment">// TX Data Rate 1</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac151fdbefc93efe34cae84dbab2cbe24">  178</a></span><span class="preprocessor">#define SI4432_REG_TXDR0                                            0x6F </span><span class="comment">// TX Data Rate 0</span></div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="si4432_8h.html#a26f0406ca6634cee6303dc81ec84ee72">  179</a></span><span class="preprocessor">#define SI4432_REG_MMCTL1                                           0x70 </span><span class="comment">// Modulation Mode Control 1</span></div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno"><a class="line" href="si4432_8h.html#ad9a58576934100462391e6bc0f07083c">  180</a></span><span class="preprocessor">#define SI4432_REG_MMCTL2                                           0x71 </span><span class="comment">// Modulation Mode Control 2</span></div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="si4432_8h.html#adc35a136a0b84eb4ef0e1167269dc946">  181</a></span><span class="preprocessor">#define SI4432_REG_FDEV                                             0x72 </span><span class="comment">// Frequency Modulation</span></div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno"><a class="line" href="si4432_8h.html#aa6123a0af722d90a81a4f8fdfed0d1a9">  182</a></span><span class="preprocessor">#define SI4432_REG_FOFF1                                            0x73 </span><span class="comment">// Frequency Offset 1</span></div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac500d500814205e539b4119995685f76">  183</a></span><span class="preprocessor">#define SI4432_REG_FOFF2                                            0x74 </span><span class="comment">// Frequency Offset 2</span></div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac07523c682b1af6d83e3ba951959d395">  184</a></span><span class="preprocessor">#define SI4432_REG_FBSEL                                            0x75 </span><span class="comment">// Frequency Band Select</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno"><a class="line" href="si4432_8h.html#a95829cc54007a16ec38b83d11c816e80">  185</a></span><span class="preprocessor">#define SI4432_REG_FCARR1                                           0x76 </span><span class="comment">// Nominal Carrier Frequency 1</span></div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="si4432_8h.html#ada0d585a84524e7c83d61d9ff34850c0">  186</a></span><span class="preprocessor">#define SI4432_REG_FCARR0                                           0x77 </span><span class="comment">// Nominal Carrier Frequency 0</span></div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span><span class="comment">// 0x78 - reserved</span></div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno"><a class="line" href="si4432_8h.html#a4cb8bc7fa8cb5c8059f1538325b98cee">  188</a></span><span class="preprocessor">#define SI4432_REG_FHCSEL                                           0x79 </span><span class="comment">// Frequency Hopping Channel Select</span></div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno"><a class="line" href="si4432_8h.html#a8697f2e7c9141e5c211efae098ed9d16">  189</a></span><span class="preprocessor">#define SI4432_REG_FHSTEP                                           0x7A </span><span class="comment">// Frequency Hopping Step Size</span></div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="comment">// 0x7B - reserved</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno"><a class="line" href="si4432_8h.html#abea864b8e14594d3b55f4e5142eb89b4">  191</a></span><span class="preprocessor">#define SI4432_REG_TXFCTL1                                      0x7C </span><span class="comment">// TX FIFO Control 1</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="si4432_8h.html#af980ad90dd2706d6ea6f116a4d93aed8">  192</a></span><span class="preprocessor">#define SI4432_REG_TXFCTL2                                      0x7D </span><span class="comment">// TX FIFO Control 2</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno"><a class="line" href="si4432_8h.html#a8347067b6aec14c1fefc50863bfef989">  193</a></span><span class="preprocessor">#define SI4432_REG_RXFCTL                                           0x7E </span><span class="comment">// RX FIFO Control</span></div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno"><a class="line" href="si4432_8h.html#ac4c49197fc67c21eb94499d8108dddc3">  194</a></span><span class="preprocessor">#define SI4432_REG_FIFO                                             0x7F </span><span class="comment">// FIFO Access</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span> </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="comment">/* Si4432 operation modes */</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span> </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno"><a class="line" href="si4432_8h.html#a51085e0c816cb6bf48afd2799404cbe9">  203</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_READY                                                    (1 &lt;&lt; 0)</span></div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno"><a class="line" href="si4432_8h.html#aaa3e89fa7860e982fa679746cde0dab0">  210</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_TUNE                                                     SI4432_READY | (1 &lt;&lt; 1)</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span> </div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno"><a class="line" href="si4432_8h.html#a773818d4512aaf4028b56a3a246d74f2">  217</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_RX                                                           SI4432_READY | (1 &lt;&lt; 2)</span></div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno"><a class="line" href="si4432_8h.html#a88f5ce1b920426128ac2df0dc9424439">  224</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_TX                                                           SI4432_READY | (1 &lt;&lt; 3)</span></div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span><span class="comment">//-----------------------------------------------------------------</span></div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno"><a class="line" href="si4432_8h.html#a443823617f1771d9746b66f1e0993121">  231</a></span><span class="comment"></span><span class="preprocessor">#define SI4432_TX_TIMEOUT                                           500</span></div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span><span class="comment">/* low level access functions */</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span><span class="keywordtype">void</span> <a class="code hl_function" href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> reg, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> value);</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span><span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_function" href="si4432_8h.html#ab1323fa9492d1024fe4e47c2e6095585">si4432_reg_read</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> reg);</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span><span class="keywordtype">void</span> <a class="code hl_function" href="si4432_8h.html#af758dfafee8b11592f818d6c01d106dd">si4432_reg_write_burst</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> reg, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> len, <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* value);</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span><span class="keywordtype">void</span> <a class="code hl_function" href="si4432_8h.html#a4a861c568b3911db787d85402a541146">si4432_reg_read_burst</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> reg, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> len, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* value);</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span> </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span><span class="keywordtype">void</span> <a class="code hl_function" href="si4432_8h.html#aeeb1067d97c2bcbf02d5002ae85e17af">si4432_set_channel</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> channel);</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span><span class="keywordtype">void</span> <a class="code hl_function" href="si4432_8h.html#a8fd8046160c0eccd43c78338d544c0f3">si4432_hard_reset</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span><span class="keywordtype">char</span> <a class="code hl_function" href="si4432_8h.html#adbb7afb96a5a2bd419f13eb3708f1d81">si4432_init</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span><span class="keywordtype">char</span> <a class="code hl_function" href="si4432_8h.html#a46c2b35a7eb4d587aff07823671d69a2">si4432_send_pkt</a>(<span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* packet, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> length);</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="keywordtype">void</span> <a class="code hl_function" href="si4432_8h.html#a93f838a4d36d9e56df1222ce75f9b2ad">si4432_start_rx</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span><span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_function" href="si4432_8h.html#a0dcb1c7a66292552e74b4f8bd4e2a5b2">si4432_rx_status</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span><span class="keywordtype">void</span> <a class="code hl_function" href="si4432_8h.html#a91d78484d11b3e8063864a55e5535f8b">si4432_wait_rx</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span><span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_function" href="si4432_8h.html#a8cdf80d09100eb86e64510c63df4e60b">si4432_read_pkt</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span>* packet);</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span> </div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="asi4432_8h_html_a0dcb1c7a66292552e74b4f8bd4e2a5b2"><div class="ttname"><a href="si4432_8h.html#a0dcb1c7a66292552e74b4f8bd4e2a5b2">si4432_rx_status</a></div><div class="ttdeci">unsigned char si4432_rx_status(void)</div><div class="ttdoc">Returns rx status.</div><div class="ttdef"><b>Definition:</b> si4432.c:271</div></div>
<div class="ttc" id="asi4432_8h_html_a2c445cd2e59e20b6dc61f9ebb72256ec"><div class="ttname"><a href="si4432_8h.html#a2c445cd2e59e20b6dc61f9ebb72256ec">si4432_reg_write</a></div><div class="ttdeci">void si4432_reg_write(unsigned char reg, unsigned char value)</div><div class="ttdoc">Write to SI4432 register.</div><div class="ttdef"><b>Definition:</b> si4432.c:111</div></div>
<div class="ttc" id="asi4432_8h_html_a46c2b35a7eb4d587aff07823671d69a2"><div class="ttname"><a href="si4432_8h.html#a46c2b35a7eb4d587aff07823671d69a2">si4432_send_pkt</a></div><div class="ttdeci">char si4432_send_pkt(const unsigned char *packet, unsigned char length)</div><div class="ttdoc">Send packet.</div><div class="ttdef"><b>Definition:</b> si4432.c:197</div></div>
<div class="ttc" id="asi4432_8h_html_a4a861c568b3911db787d85402a541146"><div class="ttname"><a href="si4432_8h.html#a4a861c568b3911db787d85402a541146">si4432_reg_read_burst</a></div><div class="ttdeci">void si4432_reg_read_burst(unsigned char reg, unsigned char len, unsigned char *value)</div><div class="ttdoc">Burst read from SI4432 register.</div><div class="ttdef"><b>Definition:</b> si4432.c:158</div></div>
<div class="ttc" id="asi4432_8h_html_a8cdf80d09100eb86e64510c63df4e60b"><div class="ttname"><a href="si4432_8h.html#a8cdf80d09100eb86e64510c63df4e60b">si4432_read_pkt</a></div><div class="ttdeci">unsigned char si4432_read_pkt(unsigned char *packet)</div><div class="ttdoc">Read packet.</div><div class="ttdef"><b>Definition:</b> si4432.c:245</div></div>
<div class="ttc" id="asi4432_8h_html_a8fd8046160c0eccd43c78338d544c0f3"><div class="ttname"><a href="si4432_8h.html#a8fd8046160c0eccd43c78338d544c0f3">si4432_hard_reset</a></div><div class="ttdeci">void si4432_hard_reset(void)</div><div class="ttdoc">Hard reset Si4432.</div><div class="ttdef"><b>Definition:</b> si4432.c:181</div></div>
<div class="ttc" id="asi4432_8h_html_a91d78484d11b3e8063864a55e5535f8b"><div class="ttname"><a href="si4432_8h.html#a91d78484d11b3e8063864a55e5535f8b">si4432_wait_rx</a></div><div class="ttdeci">void si4432_wait_rx(void)</div><div class="ttdoc">Wait until a valid packet has been completely received.</div><div class="ttdef"><b>Definition:</b> si4432.c:295</div></div>
<div class="ttc" id="asi4432_8h_html_a93f838a4d36d9e56df1222ce75f9b2ad"><div class="ttname"><a href="si4432_8h.html#a93f838a4d36d9e56df1222ce75f9b2ad">si4432_start_rx</a></div><div class="ttdeci">void si4432_start_rx(void)</div><div class="ttdoc">Start receiving data.</div><div class="ttdef"><b>Definition:</b> si4432.c:255</div></div>
<div class="ttc" id="asi4432_8h_html_ab1323fa9492d1024fe4e47c2e6095585"><div class="ttname"><a href="si4432_8h.html#ab1323fa9492d1024fe4e47c2e6095585">si4432_reg_read</a></div><div class="ttdeci">unsigned char si4432_reg_read(unsigned char reg)</div><div class="ttdoc">Read from SI4432 register.</div><div class="ttdef"><b>Definition:</b> si4432.c:125</div></div>
<div class="ttc" id="asi4432_8h_html_adbb7afb96a5a2bd419f13eb3708f1d81"><div class="ttname"><a href="si4432_8h.html#adbb7afb96a5a2bd419f13eb3708f1d81">si4432_init</a></div><div class="ttdeci">char si4432_init(void)</div><div class="ttdoc">Initialize Si4432.</div><div class="ttdef"><b>Definition:</b> si4432.c:303</div></div>
<div class="ttc" id="asi4432_8h_html_aeeb1067d97c2bcbf02d5002ae85e17af"><div class="ttname"><a href="si4432_8h.html#aeeb1067d97c2bcbf02d5002ae85e17af">si4432_set_channel</a></div><div class="ttdeci">void si4432_set_channel(unsigned char channel)</div><div class="ttdoc">Set Si4432 rx/tx channel.</div><div class="ttdef"><b>Definition:</b> si4432.c:172</div></div>
<div class="ttc" id="asi4432_8h_html_af758dfafee8b11592f818d6c01d106dd"><div class="ttname"><a href="si4432_8h.html#af758dfafee8b11592f818d6c01d106dd">si4432_reg_write_burst</a></div><div class="ttdeci">void si4432_reg_write_burst(unsigned char reg, unsigned char len, const unsigned char *value)</div><div class="ttdoc">Burst write to SI4432 register.</div><div class="ttdef"><b>Definition:</b> si4432.c:142</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_b116ddd94a245d490f1483cfe96d55a6.html">ps2_ctrl_trx</a></li><li class="navelem"><a class="el" href="dir_1a84bb234c89b52eac6ccacceb8c95a3.html">lib</a></li><li class="navelem"><a class="el" href="dir_fa75ccbeaa2e37b9dd3999ea62d2e5d8.html">include</a></li><li class="navelem"><a class="el" href="si4432_8h.html">si4432.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6 </li>
  </ul>
</div>
</body>
</html>
